Pik update list known

Is there any way to make pik update the the list of known.

C:\Documents and Settings\renshaw>pik update

C:\Documents and Settings\renshaw>pik list known

MRI Ruby

[ruby-]1.8.7-p302
[ruby-]1.8.7[-p330]
[ruby-]1.9.1[-p430]
[ruby-]1.9.2-p0
[ruby-]1.9.2[-p136]

IronRuby

ironruby-1.0.0
ironruby-1.1.0
ironruby[-1.1.1]

JRuby

jruby[-1.5.6]
jruby-1.6.0.RC1

C:\Documents and Settings\renshaw>

Currently pik can’t see jruby-1.6.1 and ruby 1.9.2-p180 which is the
recommended download on ruby-lang and the default version for
rubyinstaller.

Sayth

On May 15, 9:36am, flebber [email protected] wrote:

[ruby-]1.9.2[-p136]
C:\Documents and Settings\renshaw>

Currently pik can’t see jruby-1.6.1 and ruby 1.9.2-p180 which is the
recommended download on ruby-lang and the default version for
rubyinstaller.

Sayth

I have used pik to install ruby1.9.2-p136.

pik install ruby-1.9.2
Went to use pik info to confirm version installed, and pik advised.

C:\Documents and Settings\renshaw>pik info
pik 0.3.0.pre on Microsoft Windows XP [Version 5.1.2600]
by Gordon T. ([email protected])

Pik info will not work unless there is a version of ruby in the path.

You can use pik use to add one.
C:\Documents and Settings\renshaw>

After listing all pik commands I cannot find a pik commands that adds
the just pik installed ruby version to pik or the environmantal
variable.
Manually using add to add the version back into pik that pik had just
installed failed as well.

C:\Documents and Settings\renshaw>pik add C:\Documents and Settings
\renshaw.pik
\rubies\ruby-1.9.2-p136\bin
Couldn’t find a Ruby version at C:\

C:\Documents and Settings\renshaw>pik add C:/Documents and Settings/
renshaw/pik/
rubies/ruby-1.9.2-p136/bin
Couldn’t find a Ruby version at C:\

On May 15, 10:32am, flebber [email protected] wrote:

Is there any way to make pik update the the list of known.

Went to use pik info to confirm version installed, and pik advised.
After listing all pik commands I cannot find a pik commands that adds
C:\Documents and Settings\renshaw>pik add C:/Documents and Settings/
renshaw/pik/
rubies/ruby-1.9.2-p136/bin
Couldn’t find a Ruby version at C:\

No one really using pik?

On May 15, 8:54pm, flebber [email protected] wrote:

No one really using pik?

Yes, here, and I use it like this:

pik is installed in C:\Users\Luis\Tools\bin

Install pik and Ruby in paths without spaces, Documents and Settings
are not a good directory for either Ruby or Pik to work properly.

You can get better answers at RubyInstaller group, were most of the
Ruby for Windows users posts. Also Pik group:

http://groups.google.com/group/rubyinstaller
http://groups.google.com/group/discuss_pik

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs